weka.gui.visualize

## Class VisualizeUtils

- java.lang.Object
- - weka.gui.visualize.VisualizeUtils

-     public class VisualizeUtils
      extends java.lang.Object

  This class contains utility routines for visualization
  Version:
    $Revision: 13477 $
  Author:
    Mark Hall (mhall@cs.waikato.ac.nz)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VisualizeUtils.VisualizeDefaults` Defaults for the 2D scatter plot and attribute bars

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_PRECISION` Default maximum precision for the display of numeric values

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisualizeUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.Color` | `processColour(java.lang.String colourDef, java.awt.Color defaultColour)` Parses a string containing either a named colour or r,g,b values.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_PRECISION

          public static int MAX_PRECISION

      Default maximum precision for the display of numeric values

  - ### Constructor Detail

    - #### VisualizeUtils

          public VisualizeUtils()

  - ### Method Detail

    - #### processColour

          public static java.awt.Color processColour(java.lang.String colourDef,
                                                     java.awt.Color defaultColour)

      Parses a string containing either a named colour or r,g,b values.
      Parameters:
        `colourDef` - the string containing the named colour (or r,g,b)
        `defaultColour` - the colour to return if parsing fails
      Returns:
        the Color corresponding to the string.